Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class TerminalPropertyTreatment

    java.lang.Object
      com.nortel.soa.oi.cct.types.TerminalPropertyTreatment

    public class TerminalPropertyTreatment

extends java.lang.Object

Java class for terminalPropertyTreatment complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="terminalPropertyTreatment">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="terminal" type="{http://www.nortel.com/soa/oi/cct/types}terminal"/>
             <element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`TerminalPropertyTreatment()`

Method Summary
`Terminal` | `getTerminal()` Gets the value of the terminal property.
`java.lang.String` | `getType()` Gets the value of the type property.
`void` | `setTerminal(Terminal value)` Sets the value of the terminal property.
`void` | `setType(java.lang.String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminalPropertyTreatment

    public TerminalPropertyTreatment()

Method Detail

### getTerminal

    public Terminal getTerminal()

  Gets the value of the terminal property.

  Returns:
    possible object is `Terminal`

### setTerminal

    public void setTerminal(Terminal value)

  Sets the value of the terminal property.

  Parameters:
    `value` - allowed object is `Terminal`

### getType

    public java.lang.String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(java.lang.String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.